//Person
component {
   static {
       static.instanceCount=0;
   }
   
   public function init(required String firstName, required String lastName) {
     this.firstName=static.cleanUp(arguments.firstName);
     this.lastName=static.cleanUp(arguments.lastName);
     static.instanceCount++;
   }

   public static function cleanUp(lastName) {
       return trim(arguments.lastName);
   }

   public static numeric function personInstancesCreated() {
       return static.instanceCount;
   }
}
